## org.eclipse.emf.ecore.resource.impl
Class URIConverterImpl.WorkbenchHelper

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.URIConverterImpl.WorkbenchHelper

Enclosing class:
  URIConverterImpl

    public static class URIConverterImpl.WorkbenchHelper

extends java.lang.Object

Isolated Eclipse workbench utilities.

Constructor Summary
`URIConverterImpl.WorkbenchHelper()`

Method Summary
`static java.io.InputStream` `createPlatformResourceInputStream(java.lang.String platformResourcePath)` Creates an input stream for the given `IFile` path.
`static java.io.OutputStream` `createPlatformResourceOutputStream(java.lang.String platformResourcePath)` Creates an output stream for the given `IFile` path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIConverterImpl.WorkbenchHelper

    public URIConverterImpl.WorkbenchHelper()

Method Detail

### createPlatformResourceOutputStream

    public static java.io.OutputStream createPlatformResourceOutputStream(java.lang.String platformResourcePath)
                                                                   throws java.io.IOException

  Creates an output stream for the given `IFile` path.

  This implementation uses a `URIConverterImpl.PlatformResourceOutputStream`.

  Returns:
    an open output stream.
  Throws:
    `java.io.IOException` - if there is a problem obtaining an open output stream.
  See Also:
    `IContainer.getFile(org.eclipse.core.runtime.IPath)`, `URIConverterImpl.PlatformResourceOutputStream`, `IFile.setContents(InputStream, boolean, boolean, IProgressMonitor)`

### createPlatformResourceInputStream

    public static java.io.InputStream createPlatformResourceInputStream(java.lang.String platformResourcePath)
                                                                 throws java.io.IOException

  Creates an input stream for the given `IFile` path.

  This implementation uses `IFile.getContents`.

  Returns:
    an open input stream.
  Throws:
    `java.io.IOException` - if there is a problem obtaining an open input stream.
  See Also:
    `IContainer.getFile(org.eclipse.core.runtime.IPath)`, `IFile.getContents()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.